Page MenuHomePhabricator

Weekly report for "Allow contributors to update their own details in tech metrics directly"
Closed, ResolvedPublic

Description

Weekly Report can also be found here

Week 1: 25th May - 31st May

  • Created a minimal angularJS, bootatrap based interface to list user's information like username, organization, country, date etc.
  • Interfaced the techniques for user to update their information.
  • Github repo can be found here

Week 2: 1st Jun - 7th Jun

  • Added sign-in/sign-up page along with contributors account page.
  • Implemented search, to filter the contributors list
  • Github repo can be found here

Week 3: 8th Jun - 14th Jun

  • Setup Flask repo for rest api implementation
  • Created backend support for previously created templates
  • Implemented Ajax calls from angular templates to rest api.
  • Git repo can be found here

Week 4: 15th Jun - 21st Jun

  • Implemented method to list contributors information
  • Added prototypical implementation of sign-in for contributors
  • Added filter methods for list
  • Implemented method to list countries and organization's information

Week 5: 22nd Jun - 26th Jun

  • Implemented edit and delete features for contributors, organization and country list
  • Implemented add feature to country and organization

Event Timeline

Sarvesh.onlyme assigned this task to Dicortazar.
Sarvesh.onlyme raised the priority of this task from to Needs Triage.
Sarvesh.onlyme updated the task description. (Show Details)
Sarvesh.onlyme moved this task to Backlog on the wikimedia.biterg.io board.
Sarvesh.onlyme added a subscriber: Sarvesh.onlyme.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2015, 5:56 PM

@Sarvesh.onlyme, Lets keep the weekly reports in this task itself. Refer T101095.

Niharika added a subscriber: Dicortazar.
Qgil added a subscriber: Qgil.EditedJun 18 2015, 9:19 AM

June 18 today, and the last report covers until May 31. Sarvesh hasn't been active in Phabricator since June 2. Without reports or even a link to a repo, it is not possible to check whether he is working on this project. Are you having your weekly meetings?

@Qgil Sorry for not updating report. I will make sure I update it every week. And Daniel and I are having regular meetings on IRC, at least 2-3 time a week.

@Sarvesh.onlyme Last update in that repo was 8 days ago. Are you sure you're actively working on it?

@niharikaKohli, the repo you're talking about are templates. Presently I'm working on another repo http://github.com/sarvesh-onlyme/wiki-app

Qgil added a comment.Jun 19 2015, 9:13 AM

Thank you Sarvesh! Please update T60585: Allow contributors to update their own details in tech metrics directly including the links to these reports. This and your weekly reports will save you questions and misunderstandings not only with org admins like Niharika and me, also with whoever is interested in following and maybe contributing to this project.

Qgil triaged this task as Normal priority.Jun 25 2015, 8:30 AM
jayvdb added a subscriber: jayvdb.Jul 16 2015, 1:47 AM
Niharika closed this task as Resolved.Jul 26 2015, 2:13 PM